March 29 2016

Plesk 12.5.3 on Ubuntu 16.04 working

So I set out to do a few things for some colleagues at work in order to answer a few questions. One was agents wanted to know if and how to do an in place upgrade from 1&1’s supported version of Ubuntu 14.04 to the bleeding edge development version of Ubuntu 16.04. Then, after that, someone also asked “is Plesk supported by 16.04?” Well, fun fact, it doesn’t appear that Plesk is supporting even Ubuntu 15.04 yet, so it goes without a surprise that they don’t support 16.04. However, that doesn’t mean that Plesk won’t run on 16.04, on the contrary, it runs fine. Just don’t expect to install any updates or components after the fact. It appears that since Plesk uses encrypted binaries for their updater scripts, we can’t even remove the checks to force it to install. Fortunately most things can’t still be done if it’s installed already and you can always work with the binaries in place to add components like PHP Versions.

How hard was it to update?

# apt-get update
# apt-get do-release-upgrade -d
# plesk repair all -n
# shutdown -r now

And that’s it.

2016-03-28 19_59_01-Home - Plesk 12.5.30

2016-03-28 19_59_39-Plesk Installer